This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 65170 - Troubles compiling programs such as the Palm Emulator for Linux
Troubles compiling programs such as the Palm Emulator for Linux
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 00:44 EDT by Frank Toth
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Toth 2002-05-19 00:44:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
The make file compiles for a while, then seg faults

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Untar emulator_src_3.5
2.  ./configure
3.  make
	

Actual Results:  em -I./../SrcShared/Palm/Platform/Incs/Core/UI -
I./../SrcShared/Palm/Platform/Incs/Libraries -I./../SrcShared/Gzip -
I./../SrcShared/jpeg -I./../SrcShared/omnithread -I./../SrcShared/Patches -
I./../SrcShared/UAE -I./../SrcUnix -I./../SrcUnix/espws-2.0    -
DPLATFORM_UNIX=1 -D__PALMOS_TRAPS__=0 -DEMULATION_LEVEL=EMULATION_UNIX -O2  -
DHAS_PROFILING=0 -DNDEBUG  -fexceptions -Wall -Wno-multichar -Wno-unknown-
pragmas -Wno-conversion    -D_REENTRANT -DNoNanoSleep -DPthreadDraftVersion=10 -
I/usr/X11R6/include -c ./../SrcShared/EmStreamFile.cpp
c++ -DHAVE_DIRENT_H=1 -DSTDC_HEADERS=1 -DHAVE_ENDIAN_H=1 -DHAVE_FCNTL_H=1 -
DHAVE_LIMITS_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -
DHAVE_TYPE_SOCKLEN_T=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_MKDIR=1 -
DHAVE_MKSTEMP=1 -DHAVE_TEMPNAM=1 -DHAVE_GL=1 -DHAVE_GL_GLU_H=1 -
DHAVE_LIBFLTK=1  -I. -I.  -I./../SrcShared -I./../SrcShared/Hardware -
I./../SrcShared/Hardware/TRG -I./../SrcShared/Palm/Device -
I./../SrcShared/Palm/Platform -
I./../SrcShared/Palm/Platform/Core/Hardware/IncsPrv -
I./../SrcShared/Palm/Platform/Core/System/IncsPrv -
I./../SrcShared/Palm/Platform/Incs -I./../SrcShared/Palm/Platform/Incs/Core -
I./../SrcShared/Palm/Platform/Incs/Core/Hardware -
I./../SrcShared/Palm/Platform/Incs/Core/System -
I./../SrcShared/Palm/Platform/Incs/Core/UI -
I./../SrcShared/Palm/Platform/Incs/Libraries -I./../SrcShared/Gzip -
I./../SrcShared/jpeg -I./../SrcShared/omnithread -I./../SrcShared/Patches -
I./../SrcShared/UAE -I./../SrcUnix -I./../SrcUnix/espws-2.0    -
DPLATFORM_UNIX=1 -D__PALMOS_TRAPS__=0 -DEMULATION_LEVEL=EMULATION_UNIX -O2  -
DHAS_PROFILING=0 -DNDEBUG  -fexceptions -Wall -Wno-multichar -Wno-unknown-
pragmas -Wno-conversion    -D_REENTRANT -DNoNanoSleep -DPthreadDraftVersion=10 -
I/usr/X11R6/include -c ./../SrcShared/EmSubroutine.cpp
c++ -DHAVE_DIRENT_H=1 -DSTDC_HEADERS=1 -DHAVE_ENDIAN_H=1 -DHAVE_FCNTL_H=1 -
DHAVE_LIMITS_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -
DHAVE_TYPE_SOCKLEN_T=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_MKDIR=1 -
DHAVE_MKSTEMP=1 -DHAVE_TEMPNAM=1 -DHAVE_GL=1 -DHAVE_GL_GLU_H=1 -
DHAVE_LIBFLTK=1  -I. -I.  -I./../SrcShared -I./../SrcShared/Hardware -
I./../SrcShared/Hardware/TRG -I./../SrcShared/Palm/Device -
I./../SrcShared/Palm/Platform -
I./../SrcShared/Palm/Platform/Core/Hardware/IncsPrv -
I./../SrcShared/Palm/Platform/Core/System/IncsPrv -
I./../SrcShared/Palm/Platform/Incs -I./../SrcShared/Palm/Platform/Incs/Core -
I./../SrcShared/Palm/Platform/Incs/Core/Hardware -
I./../SrcShared/Palm/Platform/Incs/Core/System -
I./../SrcShared/Palm/Platform/Incs/Core/UI -
I./../SrcShared/Palm/Platform/Incs/Libraries -I./../SrcShared/Gzip -
I./../SrcShared/jpeg -I./../SrcShared/omnithread -I./../SrcShared/Patches -
I./../SrcShared/UAE -I./../SrcUnix -I./../SrcUnix/espws-2.0    -
DPLATFORM_UNIX=1 -D__PALMOS_TRAPS__=0 -DEMULATION_LEVEL=EMULATION_UNIX -O2  -
DHAS_PROFILING=0 -DNDEBUG  -fexceptions -Wall -Wno-multichar -Wno-unknown-
pragmas -Wno-conversion    -D_REENTRANT -DNoNanoSleep -DPthreadDraftVersion=10 -
I/usr/X11R6/include -c ./../SrcShared/EmThreadSafeQueue.cpp
/usr/include/g++-3/stl_deque.h: In method `void deque<_Tp, _Alloc,
__bufsiz>::clear () [with _Tp = EmPenEvent, _Alloc =
__default_alloc_template<true, 0>, unsigned int __bufsiz = 0]':
./../SrcShared/EmThreadSafeQueue.cpp:165:   instantiated from 
`EmThreadSafeQueue<T>::Clear () [with T = EmPenEvent]'
./../SrcShared/EmThreadSafeQueue.cpp:186:   instantiated from here
/usr/include/g++-3/stl_deque.h:1087: Internal error: Segmentation fault
.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [EmThreadSafeQueue.o] Error 1
make[1]: Leaving directory `/tmp/Emulator_Src_3.5/BuildUnix'
make: *** [all-recursive] Error 1
host:/tmp/Emulator_Src_3.5/BuildUnix# 



Expected Results:  All programs should have compiled

Additional info:

Other programs I've tried compiling using the gtk seem to seg fault also (fltk-
1.0.11)
Comment 1 Owen Taylor 2002-05-19 10:32:39 EDT
Don't see any GTK+ connection, reassigning to GCC.
Comment 2 Jakub Jelinek 2002-05-21 07:47:44 EDT
Is this reproduceable, always on the same file same error.
If yes, preprocessed source is needed.
Comment 3 Frank Toth 2002-05-21 22:51:38 EDT
Yes, this is always reproduceable.  The source code I am trying to compile is 
the fltk (http://www.fltk.org).  Download the 1.1.x (fltk-1.1.0rc2-
source.tar.gz).  Then run ./configure and then make.  It seg faults for me at 
the same spot everytime.  If you need any further info, let me know.  Thanks.
Comment 4 Jakub Jelinek 2004-10-02 16:29:19 EDT
GCC 2.96-RH is too old now, plus the requested preprocessed source
has not been provided, so I can't verify it with current GCCs.

Note You need to log in before you can comment on or make changes to this bug.